{
  "Version": "1.0.0",
  "Terminals": [  ],
  "Driver": {
    "Type": "MobileManager",
    "Settings": {
      "Endpoint": "127.0.0.1",
      "Port": "8777",
      "OpiUrl": "http://localhost"
    }
  },
  "Commands": {
    "Init": {
      "Name": "Init",
      "Step": "1",
      "Type": "BaxiOnePayAtTable.Commands.InitCommand, BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "4",
          "Title": "Settings"
        },
        "Features": {
          "Service": true,
          "FreeSale": true,
          "FreeSaleRefund": true,
          "Terminal": false,
          "BusinessSite": true,
          "GetReceiptCopy": true
        }
      }
    },
    "Service": {
      "Name": "Service",
      "Step": "2",
      "Type": "BaxiOnePayAtTable.Commands.ServiceCommand, BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "2",
          "Title": "Service",
          "CashierId": "Enter cashier id"
        },
        "Features": {
          "CashierMenu": true,
          "AdminMenu": true
        }
      }
    },
    "FreeSale": {
      "Name": "FreeSale",
      "Step": "2",
      "Type": "BaxiOnePayAtTable.Commands.FreeSaleCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "105",
          "Title": "FreeSale"
        },
        "Features": {
        }
      }
    },
    "FreeSaleRefund": {
      "Name": "FreeSaleRefund",
      "Step": "2",
      "Type": "BaxiOnePayAtTable.Commands.FreeSaleRefundCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "106",
          "Title": "FreeSaleRefund"
        },
        "Features": {
        }
      }
    },
    "Terminal": {
      "Name": "Terminal",
      "Step": "2",
      "Type": "BaxiOnePayAtTable.Commands.BaseCommand, BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "4",
          "Title": "Terminal"
        },
        "Features": {}
      }
    },
    "BusinessSite": {
      "Name": "BusinessSite",
      "Step": "2",
      "Type": "BaxiOnePayAtTable.Commands.BaseCommand, BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "65",
          "Title": "Business Site"
        },
        "Features": {
          "CurrencyMode": true,
          "CurrencyExponent": true,
          "Loyalty": true,
          "LoginType": true,
          "SalesPoint": true
        }
      }
    },
    "CurrencyMode": {
      "Name": "CurrencyMode",
      "Step": "3",
      "Type": "BaxiOnePayAtTable.Commands.CurrencyModeCommand, BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "4",
          "Title": "Currency Mode"
        },
        "Features": {},
        "Options": [
          {
            "TextId": "91",
            "Name": "EUR",
            "Value": "0"
          },
          {
            "TextId": "92",
            "Name": "Krone",
            "Value": "1"
          },
          {
            "TextId": "93",
            "Name": "Ore",
            "Value": "1"
          }
        ]
      }
    },
    "CurrencyExponent": {
      "Name": "CurrencyExponent",
      "Step": "3",
      "Type": "BaxiOnePayAtTable.Commands.CurrencyExponentCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "62",
          "Title": "Currency Exponent"
        },
        "Features": {},
        "Options": [
          {
            "TextId": "0",
            "Name": "0",
            "Value": "1"
          },
          {
            "TextId": "1",
            "Name": "1",
            "Value": "2"
          }
        ]
      }
    },
    "Loyalty": {
      "Name": "Loyalty",
      "Step": "3",
      "Type": "BaxiOnePayAtTable.Commands.LoyaltyCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "98",
          "Title": "Loyalty"
        },
        "Features": {},
        "Options": [
          {
            "TextId": "99",
            "Name": "True",
            "Value": "1"
          },
          {
            "TextId": "100",
            "Name": "False",
            "Value": "0"
          }
        ]
      }
    },
    "LoginType": {
      "Name": "LoginType",
      "Step": "3",
      "Type": "BaxiOnePayAtTable.Commands.LoginTypeCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "75",
          "Title": "Login Type"
        },
        "Features": {},
        "Options": [
          {
            "TextId": "94",
            "Name": "Manual",
            "Value": "0"
          },
          {
            "TextId": "95",
            "Name": "Employee Card",
            "Value": "1"
          }
        ]
      }
    },
  "SalesPoint": {
      "Name": "SalesPoint",
      "Step": "3",
      "Type": "BaxiOnePayAtTable.Commands.SalesPointCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
     "Settings": {
      "Messages": {
        "TextId": "103",
        "Title": "SalesPoint",
        "SalesPoint": "Enter Sales Point"
      },
      "Features": {}    
      }
    },

    "PrintSettings": {
      "Name": "PrintSettings",
      "Step": "2",
      "Type": "BaxiOnePayAtTable.Commands.BaseCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "7",
          "Title": "Print Settings"
        },
        "Features": {}
      }
    },
    "CashierMenu": {
      "Name": "CashierMenu",
      "Step": "3",
      "Type": "BaxiOnePayAtTable.Commands.CashierMenuCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "12",
          "Title": "Cashier Menu"
        },
        "Features": {
          "GetChecksByTable": true,
          "GetCheckByTableNumber": true,
          "GetCheckByName": true,
          "GetCheckById": true
        }
      }
    },
    "GetChecksByTable": {
      "Name": "GetChecksByTable",
      "Step": "4",
      "Type": "BaxiOnePayAtTable.Commands.GetChecksByTableCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "13",
          "Title": "Checks by table"
        },
        "Features": {}
      }
    },
    "GetCheckByTableNumber": {
      "Name": "GetCheckByTableNumber",
      "Step": "4",
      "Type": "BaxiOnePayAtTable.Commands.GetCheckByTableNumberCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "14",
          "Title": "Checks by table #"
        },
        "Features": {}
      }
    },

    "GetCheckByName": {
      "Name": "GetCheckByName",
      "Step": "4",
      "Type": "BaxiOnePayAtTable.Commands.GetCheckByNameCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "15",
          "Title": "Check by name"
        },
        "Features": {}
      }
    },
    "GetCheckById": {
      "Name": "GetCheckById",
      "Step": "4",
      "Type": "BaxiOnePayAtTable.Commands.GetCheckByIdCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "84",
          "Title": "Check by id"
        },
        "Features": {}
      }
    },
    "GetReceiptCopy": {
      "Name": "GetReceiptCopy",
      "Step": "2",
      "Type": "BaxiOnePayAtTable.Commands.GetReceiptCopyCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "16",
          "Title": "Receipt copy"
        },
        "Features": {}
      }
    },
    "AdminMenu": {
      "Name": "AdminMenu",
      "Step": "1",
      "Type": "BaxiOnePayAtTable.Commands.BaseCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "39",
          "Title": "Admin Menu"
        },
        "Features": {
          "Init": true,
          "AdminMode": true
        }
      }
    },
    "AdminMode": {
      "Name": "AdminMode",
      "Step": "2",
      "Type": "BaxiOnePayAtTable.Commands.AdminModeCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "41",
          "Title": "Admin Mode"
        },
        "Features": {}
      }
    },
    "PaymentNegative": {
      "Name": "PaymentNegative",
      "Step": "5",
      "Type": "BaxiOnePayAtTable.Commands.PaymentCommandNegative, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "",
          "Title": ""
        },
        "Features": {
          "RefundPayment": true,
          "PreCheck": true
        }
      }
    },
    "Payment": {
      "Name": "Payment",
      "Step": "5",
      "Type": "BaxiOnePayAtTable.Commands.PaymentCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "",
          "Title": ""
        },
        "Features": {
          "Continue": true,
          "ChangeAmount": true,
          "PreCheck": true
        }
      }
    },
    "RefundPayment": {
      "Name": "RefundPayment",
      "Step": "4",
      "Type": "BaxiOnePayAtTable.Commands.RefundPaymentCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "36",
          "Title": "Perform Refund?"
        },
        "Features": {
          "Yes": true,
          "No": true
        }
      }
    },
    "ReversalPayment": {
      "Name": "ReversalPayment",
      "Step": "4",
      "Type": "BaxiOnePayAtTable.Commands.ReversalPaymentCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "13",
          "Title": "Reversal Payment"
        },
        "Features": {}
      }
    },
    "Continue": {
      "Name": "Continue",
      "Step": "6",
      "Type": "BaxiOnePayAtTable.Commands.DirectPaymentCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "96",
          "Title": "Continue"
        },
        "Features": {
          "DirectCardPayment": true,
          "DirectCashPayment": true,
          "DirectForcedOffline": true
        }
      }
    },
    "ChangeAmount": {
      "Name": "ChangeAmount",
      "Step": "6",
      "Type": "BaxiOnePayAtTable.Commands.ChangeAmountCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "97",
          "Title": "Change Amount"
        },
        "Features": {
          "CardPayment": true,
          "CashPayment": true,
          "ForcedOffline": true
        }
      }
    },
    "DirectCardPayment": {
      "Name": "CardPayment",
      "Step": "7",
      "Type": "BaxiOnePayAtTable.Commands.DirectCardPaymentCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "17",
          "Title": "Card Payment"
        },
        "Features": {}
      }
    },
    "DirectCashPayment": {
      "Name": "CashPayment",
      "Step": "7",
      "Type": "BaxiOnePayAtTable.Commands.DirectCashPaymentCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "19",
          "Title": "Cash Payment"
        },
        "Features": {}
      }
    },
    "DirectForcedOffline": {
      "Name": "ForcedOffline",
      "Step": "7",
      "Type": "BaxiOnePayAtTable.Commands.DirectForcedOfflineCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "101",
          "Title": "Force Offline"
        },
        "Features": {}
      }
    },
    "CardPayment": {
      "Name": "CardPayment",
      "Step": "7",
      "Type": "BaxiOnePayAtTable.Commands.CardPaymentCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "17",
          "Title": "Card Payment"
        },
        "Features": {}
      }
    },
    "CashPayment": {
      "Name": "CashPayment",
      "Step": "7",
      "Type": "BaxiOnePayAtTable.Commands.CashPaymentCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "19",
          "Title": "Cash Payment"
        },
        "Features": {}
      }
    },
    "ForcedOffline": {
      "Name": "ForcedOffline",
      "Step": "7",
      "Type": "BaxiOnePayAtTable.Commands.ForcedOfflineCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "101",
          "Title": "Force Offline"
        },
        "Features": {}
      }
    },
    "PreCheck": {
      "Name": "PreCheck",
      "Step": "6",
      "Type": "BaxiOnePayAtTable.Commands.PreCheckCommand, BaxiOnePayAtTable",
      "Assembly": "BaxiOnePayAtTable",
      "Settings": {
        "Messages": {
          "TextId": "21",
          "Title": "Pre Check"
        },
        "Features": {}
      }
    }
  }
}